cURL
curl --request PUT \
--url https://api.timbal.ai/orgs/{org_id}/billing/budgets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"budgets": [
{
"budget_type": "<string>",
"limit_credits": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"current_credits": 123,
"id": "<string>",
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"project_id": "<string>",
"project_name": "<string>",
"role_id": "<string>",
"role_name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://api.timbal.ai/orgs/{org_id}/billing/budgets"
payload = { "budgets": [
{
"budget_type": "<string>",
"limit_credits": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"current_credits": 123,
"id": "<string>",
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"project_id": "<string>",
"project_name": "<string>",
"role_id": "<string>",
"role_name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
budgets: [
{
budget_type: '<string>',
limit_credits: '<string>',
created_at: '2023-11-07T05:31:56Z',
current_credits: 123,
id: '<string>',
period_end: '2023-11-07T05:31:56Z',
period_start: '2023-11-07T05:31:56Z',
project_id: '<string>',
project_name: '<string>',
role_id: '<string>',
role_name: '<string>',
updated_at: '2023-11-07T05:31:56Z'
}
]
})
};
fetch('https://api.timbal.ai/orgs/{org_id}/billing/budgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"budgets": [
{
"budget_type": "<string>",
"limit_credits": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"current_credits": 123,
"id": "<string>",
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"project_id": "<string>",
"project_name": "<string>",
"role_id": "<string>",
"role_name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Billing
Replace Credit Budgets
Replace the organization’s full credit budget configuration.
PUT
/
orgs
/
{org_id}
/
billing
/
budgets
cURL
Authorizations
Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
Budgets saved
Show child attributes
Show child attributes
⌘I